DocTest : Mono.DocTest Namespace

# UseLists Class

Documentation for this section has not yet been entered.

## Syntax

public class UseLists

## Remarks

`T:Mono.DocTest.UseLists`.

## Requirements

Namespace: Mono.DocTest
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from object.

## Public Constructors

| UseLists () | Documentation for this section has not yet been entered.

## Public Methods

GetValues<T> (T) : Mono.DocTest.Generic.MyList<T>

> Documentation for this section has not yet been entered.

Process (Mono.DocTest.Generic.MyList<int>)

> Documentation for this section has not yet been entered.

Process (List<int>)

> Documentation for this section has not yet been entered.

Process (List<Predicate<int>>)

> Documentation for this section has not yet been entered.

Process<T> (List<Predicate<T>>)

> Documentation for this section has not yet been entered.

UseHelper<T,U,V> (Mono.DocTest.Generic.MyList<T>.Helper<U, V>)

> Documentation for this section has not yet been entered.

## Extension Methods

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### UseLists Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public UseLists ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### GetValues<T> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Mono.DocTest.Generic.MyList<T> GetValues<T> (T value)
> where T : struct

> #### Type Parameters

> > T
> >   Something

> #### Parameters

> > value
> >   A `T`.

> #### Returns

> > A Mono.DocTest.Generic.MyList`1 instance.

> ## Remarks

> `M:Mono.DocTest.UseLists.GetValues``1(``0)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Process Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Process (Mono.DocTest.Generic.MyList<int> list)

> #### Parameters

> > list
> >   A Mono.DocTest.Generic.MyList<int>.

> ## Remarks

> `M:Mono.DocTest.UseLists.Process(Mono.DocTest.MyList{System.Int32})`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Process Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Process (List<int> list)

> #### Parameters

> > list
> >   Another Mono.DocTest.Generic.MyList<int>.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > Exception | Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.UseLists.Process(System.Collections.Generic.List{System.Int32})`.

> List<int>.Remove(`0)

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Process Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Process (List<Predicate<int>> list)

> #### Parameters

> > list
> >   A Mono.DocTest.Generic.MyList<Predicate<int>>.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | Documentation for this section has not yet been entered.
> > ArgumentNullException | Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.UseLists.Process(System.Collections.Generic.List{System.Predicate{System.Int32}})`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Process<T> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Process<T> (List<Predicate<T>> list)

> #### Type Parameters

> > T
> >   Something Else

> #### Parameters

> > list
> >   A Mono.DocTest.Generic.MyList<Predicate<``0>>.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | Documentation for this section has not yet been entered.
> > ArgumentNullException | Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.UseLists.Process``1(System.Collections.Generic.List{System.Predicate{``0}})`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### UseHelper<T,U,V> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void UseHelper<T, U, V> (Mono.DocTest.Generic.MyList<T>.Helper<U, V> helper)

> #### Type Parameters

> > T
> >   `T`
> > U
> >   `U`
> > V
> >   `V`

> #### Parameters

> > helper
> >   A Mono.DocTest.Generic.MyList<``0>.Helper<``1, ``2>.

> ## Remarks

> `M:Mono.DocTest.UseLists.UseHelper``3(Mono.DocTest.Generic.MyList{``0}.Helper{``1,``2})`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0